---------------------------------------------------------------------------
--                                                                       --
--         Cfg2Dot generates dot output for a CFG using Ast2Cfg          --
--                          http://cfg.w3x.org                           --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
--        Copyright (c) 2007-2009 Raul Fechete, Georg Kienesberger       --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
-- This file is part of Cfg2Dot.                                         --
--                                                                       --
-- Cfg2Dot is free software; you can redistribute it and/or modify       --
-- it under the terms of the GNU General Public License as published by  --
-- the Free Software Foundation; either version 3 of the License, or     --
-- (at your option) any later version.                                   --
--                                                                       --
-- Cfg2Dot is distributed in the hope that it will be useful,            --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of        --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         --
-- GNU General Public License for more details.                          --
--                                                                       --
-- You should have received a copy of the GNU General Public License     --
-- along with this program.  If not, see <http://www.gnu.org/licenses/>. --
--                                                                       --
---------------------------------------------------------------------------

with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package Cfg_To_Dot.Options is

   Version: constant String := "0.6.3";

   Context_Parameters: Unbounded_String := To_Unbounded_String("");

   Verbosity: Integer range 0 .. 2 := 0;

   Param_Tree_Output: Boolean := True;

   Dir: Unbounded_String := To_Unbounded_String("");
   Force_Dir: Boolean := False;
end Cfg_To_Dot.Options;
